Skip to content

Suggestions API

1 endpoint. Every path is relative to the API base URL and needs a bearer token unless it is marked public. See the REST API overview for authentication, errors and pagination.

POST/v1/orgs/{orgId}/marketing/suggestions/generate

Bearer token

Path parameters

  • orgIdstring (uuid)required

Request body application/json

  • topicstringrequired
  • platformsarray<string>required
  • groupIdstring (uuid)
  • objectivestring
  • tonestring
  • stylePreferencestring

    one of full, hook_only

  • constraintsobject

Responses

200
  • dataarray<object>required
    Item fields
    • idstring (uuid)required
    • orgIdstring (uuid)required
    • groupIdstring (uuid) | nullrequired
    • platformstringrequired

      one of x, linkedin, tiktok, reddit, facebook, instagram, youtube, bluesky, threads

    • styleKeystringrequired
    • textstringrequired
    • mediaGuidanceobject | nullrequired
    • providerstringrequired
    • providerModelstring | nullrequired
    • promptVersionstringrequired
    • createdAtstringrequired
Request
curl -X POST "https://api.adventur.ai/v1/orgs/$ORG_ID/marketing/suggestions/generate" \
-H "Authorization: Bearer $ADVENTURAI_TOKEN" \
-H "Content-Type: application/json" \
-d '{"topic":"string","platforms":["x"]}'